Name:           xvkbd
Summary:        Virtual (on-screen) keyboard for X
Version:        4.1
Release:        %mkrel 1
Source:         http://t-sato.in.coocan.jp/%{name}/%{name}-%{version}.tar.gz
URL:            http://t-sato.in.coocan.jp/xvkbd/index.html
License:        GPLv2+
Group:          System/X11

Buildrequires:  imagemagick
Buildrequires:  imake
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xt)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xaw7)
BuildRequires:  pkgconfig(xaw3d)

%description
xvkbd is a virtual (graphical) keyboard program for X Window System which
provides facility to enter characters onto other clients (softwares) by
clicking on a keyboard displayed on the screen. This may be used for systems
without a hardware keyboard such as kiosk terminals or handheld devices.

This program also has facility to send characters specified as the command
line option to another client, which can help when one wants to fully utilize
some modern mice with multiple buttons.

%prep
%setup -q

%build
perl -pl -i -E 's/\s+//g if /^InstallNonExec.*words\.english/' Imakefile
xmkmf
%make_build CDEBUGFLAGS="%optflags" SHLIBGLOBALSFLAGS="%ldflags" EXTRA_LDOPTIONS="%ldflags"

%install
mkdir -p %{buildroot}/%{_datadir}/X11
%make_install install.man
rm -f %{buildroot}/%_prefix/lib/X11/app-defaults

#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop <<EOF
[Desktop Entry]
Name=Virtual Keyboard
Comment=On-screen keyboard for X
Exec=%{_bindir}/%{name} -secure
Icon=%{name}
Terminal=false
Type=Application
Categories=GNOME;GTK;Utility;Accessibility;
EOF

#icons
mkdir -p %{buildroot}%_liconsdir
convert -size 48x48 xvkbd_icon.xbm %{buildroot}%_liconsdir/%name.png
mkdir -p %{buildroot}%_iconsdir
convert -size 32x32 xvkbd.xbm %{buildroot}%_iconsdir/%name.png
mkdir -p %{buildroot}%_miconsdir
convert -size 16x16 xvkbd.xbm %{buildroot}%_miconsdir/%name.png

%files
%doc README
%_prefix/bin/*
%config(noreplace) %_sysconfdir/X11/app-defaults/*
%{_mandir}/man1/*
%{_datadir}/X11
%{_datadir}/applications
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png


%changelog
* Thu May 07 2020 shlomif <shlomif> 4.1-1.mga8
+ Revision: 1581581
- New version 4.1 by cheese-e-boi

* Tue Feb 18 2020 umeabot <umeabot> 4.0-2.mga8
+ Revision: 1541712
- Mageia 8 Mass Rebuild

* Tue Dec 31 2019 shlomif <shlomif> 4.0-1.mga8
+ Revision: 1475057
- New version 4.0
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 3.9-2.mga7
+ Revision: 1301998
- Mageia 7 Mass Rebuild

* Wed Mar 07 2018 shlomif <shlomif> 3.9-1.mga7
+ Revision: 1207154
- New version 3.9

* Sat Feb 24 2018 shlomif <shlomif> 3.8-1.mga7
+ Revision: 1204867
- New version 3.8

* Sat Sep 23 2017 cjw <cjw> 3.7-2.mga7
+ Revision: 1158207
- pass optflags to make to fix debug packages

* Thu Mar 10 2016 shlomif <shlomif> 3.7-1.mga6
+ Revision: 988787
- New version 3.7 + .spec cleanups

* Fri Feb 12 2016 umeabot <umeabot> 3.6-2.mga6
+ Revision: 959350
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 3.6-1.mga6
+ Revision: 844502
- New version: 3.6

* Wed Oct 15 2014 umeabot <umeabot> 3.5-5.mga5
+ Revision: 745076
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.5-4.mga5
+ Revision: 690802
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 3.5-3.mga4
+ Revision: 532798
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 luigiwalser <luigiwalser> 3.5-2.mga4
+ Revision: 469588
- rebuild for xaw3d

* Fri Jul 19 2013 sander85 <sander85> 3.5-1.mga4
+ Revision: 456274
- New version: 3.5

* Sun Jun 02 2013 sander85 <sander85> 3.4a-1.mga4
+ Revision: 435433
- New version: 3.4a

* Mon Jan 14 2013 umeabot <umeabot> 3.3-2.mga3
+ Revision: 387525
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 03 2012 sander85 <sander85> 3.3-1.mga2
+ Revision: 217244
- new version: 3.3

* Sun Jan 22 2012 kamil <kamil> 3.2-2.mga2
+ Revision: 199582
- rebuild against renamed xaw3d
- clean .spec

* Thu Sep 29 2011 fwang <fwang> 3.2-1.mga2
+ Revision: 150339
- br xaw
- tighten br
- clean category

* Sat Apr 30 2011 sander85 <sander85> 3.2-1.mga1
+ Revision: 93691
- imported package xvkbd

